//@flow

import {assertMainOrNode} from "../api/Env"

assertMainOrNode()

export const terms_de = `<section id="terms-de" class="content">
    <h3>Allgemeine Geschäftsbedingungen (AGB) der Tutao GmbH</h3>
    <h4>1. Allgemeines, Geltungsbereich</h4>
    <p>1.1 Die Tutao GmbH, Adresse: Hanomaghof 2, 30449 Hannover, E-Mail:
        hello@tutao.de, Telefon: 0511 202801-0 (im Folgenden Tutao),
        erbringt alle Lieferungen und Leistungen ausschließlich auf Grundlage
        dieser Allgemeinen Geschäftsbedingungen (AGB).</p>
    <p>1.2 Diese AGB gelten sowohl für Unternehmer gem. § 14 BGB
        (im Folgenden Geschäftskunden) als auch für Verbraucher gem. § 13
        BGB (im Folgenden Privatkunden). Privatkunde ist jede natürliche Person,
        die ein Rechtsgeschäft zu einem Zwecke abschließt, der weder ihrer
        gewerblichen noch ihrer selbstständigen beruflichen Tätigkeit zugerechnet werden kann.</p>
    <p>1.3 Für Geschäftskunden haben diese AGB für alle zukünftigen Geschäfte
        mit Tutao Geltung.</p>
    <p>1.4 Von diesen AGB insgesamt oder teilweise abweichende
        Geschäftsbedingungen von Geschäftskunden werden nicht anerkannt, es sei denn,
        diesen wurde von Tutao schriftlich zugestimmt. Die AGB von Tutao
        gelten auch dann ausschließlich, wenn in Kenntnis entgegenstehender
        Geschäftsbedingungen des Kunden von Tutao Leistungen vorbehaltlos
        erbracht werden.</p>
    <h4>2. Vertragsschluss</h4>
    <p>2.1 Der Antrag des Kunden auf Abschluss des beabsichtigten Vertrags
        besteht entweder in der Absendung einer elektronischen Erklärung oder
        in der Übermittlung des Auftragsformulars in schriftlicher Form an
        Tutao, soweit dies angeboten wird. Der Vertrag kommt durch die Bereitstellung
        des Accounts durch Tutao zustande.</p>
    <h4>3. Widerrufsbelehrung</h4>
    <p>3.1 Sofern der Privatkunde den Vertrag über das Internet abgeschlossen
        hat (Fernabsatzvertrag), steht dem Kunden das nachfolgend beschriebene
        gesetzliche Widerrufsrecht zu:</p>
    <hr>
    <p><strong>Widerrufsbelehrung</strong></p>
    <p><strong>Widerrufsrecht</strong></p>
    <p>Sie haben das Recht, binnen vierzehn Tagen ohne Angabe von Gründen
        diesen Vertrag zu widerrufen. Die Widerrufsfrist beträgt vierzehn Tage
        ab dem Tag des Vertragsabschlusses. Um Ihr Widerrufsrecht auszuüben,
        müssen Sie uns</p>
    <p>Tutao GmbH<br>
        Hanomaghof 2<br>
        30449 Hannover<br>
        Deutschland</p>
    <p>Telefon: +49 511 202801-0<br>
        Telefax: +49 511 202801-19 oder<br>
        E-Mail: hello@tutao.de</p>
    <p>mittels einer eindeutigen Erklärung (z.B. ein mit der Post versandter
        Brief, Telefax oder E-Mail) über Ihren Entschluss, diesen Vertrag zu
        widerrufen, informieren. Sie können dafür das beigefügte
        Muster-Widerrufsformular verwenden, das jedoch nicht vorgeschrieben
        ist.</p>
    <p>Zur Wahrung der Widerrufsfrist reicht es aus, dass Sie die Mitteilung
        über die Ausübung des Widerrufsrechts vor Ablauf der Widerrufsfrist
        absenden.</p>
    <p><strong>Folgen des Widerrufs</strong></p>
    <p>Wenn Sie diesen Vertrag widerrufen, haben wir Ihnen alle Zahlungen,
        die wir von Ihnen erhalten haben, einschließlich der Lieferkosten (mit
        Ausnahme der zusätzlichen Kosten, die sich daraus ergeben, dass Sie
        eine andere Art der Lieferung als die von uns angebotene, günstigste
        Standardlieferung gewählt haben), unverzüglich und spätestens binnen
        vierzehn Tagen ab dem Tag zurückzuzahlen, an dem die Mitteilung über
        Ihren Widerruf dieses Vertrags bei uns eingegangen ist. Für diese
        Rückzahlung verwenden wir dasselbe Zahlungsmittel, das Sie bei der
        ursprünglichen Transaktion eingesetzt haben, es sei denn, mit Ihnen
        wurde ausdrücklich etwas anderes vereinbart; in keinem Fall werden
        Ihnen wegen dieser Rückzahlung Entgelte berechnet.</p>
    <p>Haben Sie verlangt, dass die Dienstleistungen während der
        Widerrufsfrist beginnen soll, so haben Sie uns einen angemessenen
        Betrag zu zahlen, der dem Anteil der bis zu dem Zeitpunkt, zu dem Sie
        uns von der Ausübung des Widerrufsrechts hinsichtlich dieses Vertrags
        unterrichten, bereits erbrachten Dienstleistungen im Vergleich zum
        Gesamtumfang der im Vertrag vorgesehenen Dienstleistungen entspricht.</p>
    <p><strong>Ende der Widerrufsbelehrung</strong></p>
    <hr>
    <p><strong>Muster-Widerrufsformular</strong></p>
    <p>(Wenn Sie den Vertrag widerrufen wollen, dann können Sie dieses
        Formular ausfüllen und an uns zurücksenden.)</p>
    <p>An<br>
        Tutao GmbH<br>
        Hanomaghof 2<br>
        30449 Hannover<br>
        Deutschland</p>
    <p>Telefax: +49 511 202801-19 oder<br>
        E-Mail: hello@tutao.de</p>
    <p>Hiermit widerrufe(n) ich/wir* den von mir/uns* abgeschlossenen Vertrag
        über den Kauf der folgenden Waren*/die Erbringung der folgenden
        Dienstleistung*:</p>
    <p>Bestellt am*/erhalten am*: ______________________</p>
    <p>Name des Privatkunden: ______________________</p>
    <p>Anschrift des Privatkunden: ______________________</p>
    <p>Tutanota-E-Mail-Adresse des Privatkunden: ______________________</p>
    <p><br>
        Unterschrift des Privatkunden (nur bei Mitteilung auf Papier):
        ______________________</p>
    <p><br>
        Datum: ______________________</p>
    <p>*) Unzutreffendes streichen.</p>
    <hr>
    <h4>4. Vertragsgegenstand und Vertragsänderung</h4>
    <p>4.1 Tutao stellt dem Kunden entsprechend der jeweiligen
        Leistungsbeschreibung des gewählten Tarifs das betriebsbereite System
        Tutanota zur Verfügung. Die Verfügbarkeit beträgt 99 % im
        Jahresmittel, bezogen auf 24 Stunden täglich, sieben Tage die
        Woche. Von der Verfügbarkeit ausgenommen sind Zeiten, in denen
        Tutanota aufgrund von technischen oder sonstigen Problemen, die nicht
        im Einflussbereich von Tutao liegen (höhere Gewalt, Verschulden
        Dritter etc.), nicht zu erreichen ist. Tutao führt regelmäßig
        Wartungs- und Softwarepflegearbeiten an den Systemen durch. Zu diesem
        Zwecke kann Tutao Leistungen unter Berücksichtigung der Belange des
        Kunden vorübergehend einstellen oder beschränken, soweit objektive
        Gründe dieses rechtfertigen. Diese Arbeiten werden soweit wie möglich
        in nutzungsarmen Zeiten, insbesondere freitags bis sonntags, jeweils
        22:00 – 06:00 Uhr (CET), durchgeführt. Sofern für Tutao absehbar ist,
        dass Ausfallzeiten für Wartung und Softwarepflege länger als drei
        Stunden dauern, wird Tutao dies dem Kunden eines zahlungspflichtigen
        Dienstes mindestens drei Tage vor Beginn der jeweiligen Arbeiten mitteilen.
        Tutao ist für die Verfügbarkeit nur insoweit verantwortlich, als diese
        auf den von ihr betriebenen Teil der Systeme zurückzuführen ist.</p>
    <p>4.2 Soweit in der jeweiligen Leistungsbeschreibung des gewählten
        Tarifs eine bestimmte Speicherkapazität genannt ist, gilt diese für
        den gesamten, gemäß Leistungsbeschreibung zur Verfügung stehenden
        Speicherplatz und dient unter anderem auch der Speicherung von
        Meta-Daten (Datei-Historie etc.).</p>
    <p>4.3 Tutao bleibt das Recht vorbehalten, Leistungen zu erweitern und
        Verbesserungen vorzunehmen, wenn diese dem technischen Fortschritt
        dienen, notwendig erscheinen, um Missbrauch zu verhindern, oder Tutao
        aufgrund gesetzlicher Vorschriften hierzu verpflichtet ist. Sonstige
        Änderungen des Vertragsinhalts, einschließlich dieser AGB, kann Tutao
        – mit Zustimmung des Kunden – vornehmen, sofern die Änderung unter
        Berücksichtigung der Interessen von Tutao für den Kunden zumutbar
        ist. Unzumutbar ist insbesondere jede Vertragsänderung, die eine
        Reduzierung der vertraglichen Hauptleistungen von Tutao zur Folge
        hat. Besteht die Änderung des Vertrags in einer Erhöhung der vom
        Kunden zu entrichtenden Entgelte, so richtet sich deren Zulässigkeit
        nach Ziffer 8.5 dieser AGB. Die Zustimmung zur Änderung des Vertrags
        gilt als erteilt, wenn der Kunde der Änderung nicht innerhalb eines
        Monats nach Zugang der Änderungsmitteilung widerspricht. Tutao
        verpflichtet sich, den Kunden im Zuge der Änderungsmitteilung auf die
        Folgen eines unterlassenen Widerspruchs hinzuweisen.</p>
    <p>4.4 Freiwillige, unentgeltliche Dienste und Leistungen von Tutao, die
        ausdrücklich als solche bezeichnet und nicht Teil der
        Leistungsbeschreibung sind, können von Tutao jederzeit eingestellt
        werden. Tutao wird bei Änderungen und der Einstellung kostenloser
        Dienste und Leistungen auf die berechtigten Interessen des Kunden
        Rücksicht nehmen.</p>
    <p>4.5 Tutao hat das Recht, sich zur Leistungserbringung jederzeit und in
        beliebigem Umfang Dritter zu bedienen.</p>
    <p>4.6 Kostenfreie Tarife dürfen nur von Privatkunden verwendet werden. Die geschäftliche Nutzung ist nur
        in kostenpflichtigen Tarifen erlaubt, außer dies ist im jeweiligen Tarif anders angegeben.</p>
    <p>4.7. Jeder natürlichen Person ist es untersagt mehr als einen kostenfreien Tutanota-Account für den
        Privatgebrauch zu registrieren. Für weitere Accounts muss ein kostenpflichtiger Tarif gewählt werden,
        in dem weitere Benutzer-Accounts oder Aliasse angelegt werden können.</p>
    <p>4.8. Tutao ist berechtigt, dem Kunden Sicherheitshinweise und Informationen zu Verträgen mit dem Kunden,
     zu Produkt-Updates, zur Tutao GmbH, zu anderen eigenen Produkten und Produkten von Partnernunternehmen
      anzuzeigen. Partnerunternehmen sind ausschließlich Unternehmen, die von der Tutao GmbH empfohlen werden,
       weil diese sich für Menschenrechte, Datenschutz oder Privatsphäre einsetzen.</p>
    <h4>5. Vertragslaufzeit, Vertragsverlängerung und -kündigung, Einstellung der Leistung</h4>
    <p>5.1 Soweit sich nicht aus der jeweiligen Leistungsbeschreibung etwas
        Anderes ergibt, läuft der Vertrag auf unbestimmte Zeit. Der Vertrag
        ist für beide Vertragspartner mit einer Frist von einem Monat zum
        Ablauf eines jeden gebuchten Abrechnungszeitraums kündbar. Wenn keine Kündigung
        erfolgt, verlängert sich der Vertrag automatisch um den gewählten Abrechnungszeitraum.</p>
    <p>5.2 Unberührt bleibt das Recht beider Vertragsparteien zur fristlosen
        Kündigung aus wichtigem Grund. Ein wichtiger Grund für Tutao ist
        insbesondere dann gegeben, wenn mindestens einer der folgenden
        Sachverhalte vorliegt: der Kunde verstößt trotz Abmahnung schuldhaft
        gegen eine vertragliche Pflicht (zum Beispiel gegen 8.4 dieser AGB),
        der Kunde beseitigt trotz Abmahnung nicht innerhalb angemessener Frist
        eine Vertrags- oder Rechtsverletzung. Eine Abmahnung ist entbehrlich,
        wenn es sich um einen Verstoß handelt, der eine Fortsetzung des
        Vertrags für Tutao unzumutbar macht.</p>
    <p>5.3 Die Kündigung zum jeweiligen Tarif zusätzlich gewählter Optionen,
        insbesondere zusätzlicher Accounts und Speicherplatz, lässt das
        Vertragsverhältnis insgesamt unberührt.</p>
    <p>5.4 Die außerordentliche Kündigung bedarf zu ihrer
        Wirksamkeit der Schriftform. Die ordentliche Kündigung des Kunden
        erfolgt durch das Löschen des letzten Administrationsaccounts
        in den Einstellungen der Anwendung.</p>
    <p>5.5 Nach Beendigung des Vertragsverhältnisses ist Tutao zur Erbringung
        der vertraglichen Leistungen nicht mehr verpflichtet. Die rechtzeitige
        Speicherung und Sicherung der Daten liegt daher in der Verantwortung
        des Kunden.</p>
    <p>5.6. Tutao ist berechtigt den Vertrag bei Nutzung eines kostenfreien Tarifs ohne Einhaltung einer Frist zu
        kündigen, wenn der Account sechs Monate nicht verwendet wurde.</p>
    <h4>6. Allgemeine Pflichten des Kunden</h4>
    <p>6.1 Geschäftskunden sind verpflichtet, Tutao den vollständigen Namen und
        eine ladungsfähige Postanschrift (keine Postfach- oder sonstige
        anonyme Adresse) anzugeben. Der Kunde versichert,
        dass alle an Tutao mitgeteilten Daten richtig und vollständig
        sind.</p>
    <p>6.2 Privatkunden sind bei der Buchung eines kostenpflichtigen Tarifs
        verpflichtet, das Land des aktuellen Wohnsitzes anzugeben.</p>
    <p>6.3 Der Kunde hat bei Änderungen die Daten unverzüglich
        in der Anwendung zu aktualisieren.</p>
    <h4>7. E-Mail-Empfang und –Versand, Verbot für „Spam“-E-Mails</h4>
    <p>7.1 Tutao hat das Recht, die Maximalgröße der zu versendenden E-Mails
        jeweils auf einen angemessenen Wert zu beschränken. Soweit sich aus
        der jeweiligen Leistungsbeschreibung nichts anderes ergibt, beträgt
        dieser Wert 20 MB.</p>
    <p>7.2 Der Versand von E-Mails ist unzulässig, soweit es sich um einen
        massenhaften Versand von E-Mails an Empfänger ohne deren Einwilligung
        handelt und/oder es sich um eine Werbe-E-Mail handelt und eine
        Einwilligung des Empfängers nicht vorliegt obwohl diese erforderlich
        ist (insgesamt nachfolgend als „Spam“ bezeichnet). Der Nachweis einer
        Einwilligung (vgl. § 7 Abs. 2 UWG) des jeweiligen Empfängers obliegt
        dem Kunden.</p>
    <p>7.3 Dem Kunden ist untersagt, über das System mehr als 100 E-Mails
        pro Stunde je Account oder sogenannte „Paidmails“ bzw. E-Mails mit
        denen ein „Referral-System“ beworben wird, zu versenden.</p>
    <h4>8. Entgeltzahlung und Rechnungsstellung, Entgelterhöhung, Zahlungsverzug, Entgelterstattung</h4>
    <p>8.1 Die Höhe der vom Kunden an Tutao zu bezahlenden Entgelte und der
        jeweilige Abrechnungszeitraum ergeben sich aus der
        Leistungsbeschreibung des vom Kunden gewählten Tarifs. Die
        nutzungsunabhängigen Entgelte werden je nach gewähltem Abrechnungszeitraum
        monatlich bzw. jährlich im Voraus fällig, die nutzungsabhängigen Entgelte
        mit Rechnungsstellung.</p>
    <p>8.2 Die Rechnungsstellung erfolgt online durch die elektronische
        Zustellung der Rechnung. Die Rechnung gilt dem Kunden als zugegangen,
        wenn sie für ihn elektronisch abrufbar und damit in seinen
        Verfügungsbereich gelangt ist (z.B. per E-Mail). Tutao bleibt es unbenommen alternativ
        zur Online-Rechnung die Rechnungsstellung postalisch vorzunehmen. Ein
        Anspruch des Kunden auf Übersendung einer Rechnung auf dem Postwege
        besteht jedoch nicht.</p>
    <p>8.3 Der Kunde ermächtigt Tutao, die vom Kunden zu erbringenden
        Zahlungen zu Lasten eines vom Kunden angegebenen Kontos
        (z.B. Bankkonto, Kreditkarte, Paypal) einzuziehen. Der Kunde hat für
        ausreichende Deckung des Kontos Sorge zu tragen. Erfolgt eine vom
        Kunden zu vertretende Rückbuchung, ist der Kunde verpflichtet,
        Tutao die hierfür anfallenden Gebühren zu erstatten. Geschäftskunden
        können die Zahlung auf Rechnung wählen.</p>
    <p>8.4 Befindet sich der Kunde mit einer Zahlung für zwei
        aufeinanderfolgende Monate in Verzug, so ist Tutao berechtigt, den
        Vertrag ohne Einhaltung einer Frist zu kündigen. Gleiches gilt, sofern
        der Kunde sich über einen Zeitraum von mehr als zwei Monaten mit der
        Zahlung in Höhe eines Betrags in Verzug befindet, der die Grundgebühr
        für zwei Monate erreicht.</p>
    <p>8.5 Tutao ist berechtigt, die Entgelte angemessen zu erhöhen. In jedem
        Fall angemessen ist insoweit eine jährliche Erhöhung um höchstens 5
        %. Die Entgelterhöhung bedarf der Zustimmung des Kunden. Die
        Zustimmung gilt als erteilt, wenn der Kunde der Erhöhung nicht binnen
        eines Monats nach Zugang der Änderungsmitteilung widerspricht. Tutao
        ist verpflichtet, den Kunden mit der Änderungsmitteilung auf die
        Folgen eines unterlassenen Widerspruchs hinzuweisen. Widerspricht der
        Kunde der Preiserhöhung, steht Tutao ein Sonderkündigungsrecht zu.</p>
    <p>8.6 Vorausbezahlte Entgelte werden dem Kunden erstattet, wenn der
        Vertrag vor Ablauf des Abrechnungszeitraums durch Tutao gekündigt wird.
        Im Falle einer wirksamen außerordentlichen Kündigung (Ziffer 5.2) durch Tutao hat
        Tutao Anspruch auf Zahlung des Entgelts bis zum nächstmöglichen
        ordentlichen Kündigungszeitpunkt.</p>
    <h4>9. Leistungsstörungen</h4>
    <p>9.1 Für Leistungsstörungen ist Tutao nur verantwortlich soweit diese
        die von Tutao nach Ziffer 4.1 zu erbringenden Leistungen betreffen.</p>
    <p>9.2 Störungen wird Tutao im Rahmen der technischen und betrieblichen
        Möglichkeiten beseitigen. Der Kunde ist verpflichtet, Tutao für ihn
        erkennbare Störungen unverzüglich anzuzeigen
        („Störungsmeldung“). Erfolgt die Beseitigung der Störung nicht
        innerhalb eines angemessenen Zeitraums, hat der Kunde Tutao eine
        angemessene Nachfrist zu setzen. Wird die Störung innerhalb dieser
        Nachfrist nicht beseitigt, bleibt dem Kunden das Recht vorbehalten,
        wahlweise den Vertrag zu kündigen oder die Herabsetzung der
        Vergütung zu verlangen. Bei einer die
        Funktionstauglichkeit nicht einschränkenden unerheblichen Abweichung
        der Leistung kann der Kunde nur die Herabsetzung der monatlichen
        Vergütung verlangen. Etwaige Ansprüche nach Ziffer 10 bleiben hiervon
        unberührt.</p>
    <p>9.3 Im Falle höherer Gewalt ist Tutao von der Leistungspflicht
        befreit. Hierzu zählen insbesondere rechtmäßige Arbeitskampfmaßnahmen,
        auch in Drittbetrieben und behördliche Maßnahmen, soweit nicht von
        Tutao verschuldet.</p>
    <h4>10. Haftung von Tutao</h4>
    <p>10.1 Eine Haftung von Tutao besteht ausschließlich im Rahmen der
        Ziffern 10.2 bis 10.8. Die folgenden Haftungsbestimmungen gelten dabei
        für Ansprüche aus jeglichem Rechtsgrund.</p>
    <p>10.2 Tutao haftet dem Kunden für Schäden unbegrenzt, die von ihm oder
        einem seiner Erfüllungsgehilfen oder gesetzlichen Vertreter
        vorsätzlich oder grob fahrlässig verursacht werden. Bei Schäden aus
        der Verletzung des Lebens, des Körpers oder der Gesundheit ist die
        Haftung auch bei einer einfachen Pflichtverletzung von Tutao oder
        eines seiner gesetzlichen Vertreter oder Erfüllungsgehilfen der Höhe
        nach unbegrenzt. Ebenso der Höhe nach unbegrenzt ist die Haftung für
        Schäden, die auf schwerwiegendes Organisationsverschulden von Tutao
        zurückzuführen sind, sowie für Schäden, die durch das Fehlen einer
        garantierten Beschaffenheit hervorgerufen werden.</p>
    <p>10.3 Soweit nicht Ziffer 10.2 eingreift, haftet Tutao bei der
        Verletzung wesentlicher Vertragspflichten der Höhe nach begrenzt auf
        den vertragstypisch vorhersehbaren Schaden. Wesentliche
        Vertragspflichten sind Pflichten, die der Vertrag Tutao nach seinem
        Inhalt zur Erreichung des Vertragszwecks auferlegt und deren Erfüllung
        die ordnungsgemäße Durchführung des Vertrags überhaupt erst
        ermöglichen und auf deren Einhaltung der Kunde regelmäßig vertrauen
        darf.</p>
    <p>10.4 Bei einem von Tutao verschuldeten Datenverlust, haftet Tutao
        ausschließlich für die Kosten der Rücksicherung und Wiederherstellung
        von Daten, die auch bei einer ordnungsgemäß erfolgten Sicherung der
        Daten verloren gegangen wären. Eine Haftung besteht jedoch nur im
        Rahmen der Haftungsregelungen dieser AGB.</p>
    <p>10.5 Die Haftung für entgangenen Gewinn wird ausgeschlossen.</p>
    <p>10.6 Die Haftung nach dem Produkthaftungsgesetz bleibt von den
        vorstehenden Haftungsregelungen unberührt.</p>
    <p>10.7 Im Falle, dass das System als kostenlose Version
        (d. h. gebührenfrei) zur Verfügung gestellt wurde, übernimmt Tutao in
        Übereinstimmung mit den vorstehenden Regelungen nur für vorsätzliche
        und arglistige Handlungen Haftung.</p>
    <p>10.8 Tutao haftet nicht für Inhalte und Aktivitäten der Nutzer.</p>
    <h4>11. Sperrung, Voraussetzungen und Aufhebung der Sperrung, Kostenerstattung</h4>
    <p>11.1 Liegt ein schuldhaftes Verhalten des Kunden oder ein diesem
        zurechenbares Verhalten Dritter vor, das gegen geltendes Deutsches
        Recht, insbesondere gegen Vorschriften des Strafgesetzbuches oder
        Jugendschutzes, oder diese AGB verstößt, kann Tutao eine vollständige oder
        teilweise Sperrung der Dienste vornehmen. Das Recht zur fristlosen
        Kündigung gemäß Ziffer 5.2 dieser AGB bleibt hiervon unberührt.</p>
    <p>11.2 Durch eine Sperrung wird der Kunde nicht von seiner Verpflichtung
        entbunden, die vereinbarten Entgelte zu entrichten. Besteht für Tutao
        eine Mitteilungspflicht, so genügt es, wenn Tutao die jeweiligen
        Mitteilungen per E-Mail an die E-Mail-Adresse des Kunden sendet. Für
        die Sperrung und für die Aufhebung der Sperrung kann Tutao jeweils das
        hierfür vereinbarte Entgelt (derzeit 50,00 Euro inkl. gesetzl. USt.)
        berechnen („Sperr- und Entsperrgebühr“).</p>
    <p>11.3 Soweit Tutao von Dritten wegen eines
        schuldhaften Verhaltens des Kunden oder ein diesem zurechenbaren
        Verhaltens Dritter in Anspruch genommen wird, das Tutao zur Sperrung
        berechtigt, verpflichtet sich der Kunde, Tutao von allen Ansprüchen
        freizustellen und diejenigen Kosten zu tragen, die durch die
        Inanspruchnahme des rechtswidrigen Zustands entstanden sind.</p>
    <h4>12. Nutzungsrechte</h4>
    <p>12.1 Tutao räumt dem Kunden für die Dauer des Vertrags ein einfaches,
        nicht übertragbares und nicht unterlizenzierbares Recht zur Nutzung
        der zur Durchführung der Leistungen erforderlichen Software von Tutao
        und deren Erweiterungen zum eigenen, internen Gebrauch ein. Die
        Software ist urheberrechtlich geschützt. Soweit es nach dem
        Urhebergesetz oder vertraglich nicht ausdrücklich gestattet ist, darf
        der Kunde kein Reverse-Engineering, keine Disassemblierung und keine
        Dekompilierung der Software durchführen oder durch Dritte durchführen
        lassen.</p>
    <h4>13. Datenschutz</h4>
    <p>13.1 Sofern vom Kunden angegeben, erhebt, verarbeitet und nutzt Tutao
        personenbezogene Daten des Kunden. Weitere Informationen zur Datenverarbeitung
        und zum Datenschutz ergeben sich aus der Datenschutzerklärung von Tutao.</p>
    <h4>14. Gerichtsstand, anwendbares Recht</h4>
    <p>14.1 Es gilt das Recht der Bundesrepublik Deutschland. Unberührt
        bleiben zwingende Vorschriften des Staates, in dem Privatkunden (=Verbraucher)
        ihren gewöhnlichen Aufenthalt haben. Im Verkehr mit
        Privatkunden innerhalb der Europäischen Union kann auch das Recht am
        Wohnsitz des Privatkunden anwendbar sein, sofern es sich zwingend um
        verbraucherrechtliche Vorschriften handelt.</p>
    <p>14.2 Gerichtsstand für sämtliche Ansprüche aus den Vertragsbeziehungen
        zwischen den Vertragsparteien sich ergebenden Streitigkeiten,
        insbesondere über das Zustandekommen, die Abwicklung oder die
        Beendigung des Vertrags ist – soweit der Kunde Vollkaufmann,
        juristische Person des öffentlichen Rechts oder öffentlich-rechtliches
        Sondervermögen ist – Hannover, Deutschland. Tutao kann den Kunden wahlweise auch an
        dessen allgemeinem Gerichtsstand verklagen.</p>
    <p>14.3. Die Geltung des Übereinkommens der Vereinten Nationen über
        Verträge über den internationalen Warenkauf (UN-Kaufrecht) ist
        ausgeschlossen, auch im grenzüberschreitenden Lieferverkehr.</p>
    <h4>15. Aufrechnung, Zurückbehaltung, Salvatorische Klausel</h4>
    <p>15.1 Mit Forderungen von Tutao kann der Kunde nur aufrechnen, soweit
        diese unwidersprochen oder rechtskräftig festgestellt sind. Die
        Geltendmachung eines Zurückbehaltungsrechts steht dem Kunden nur wegen
        Gegenansprüchen zu, die aus dem Vertragsverhältnis mit Tutao
        resultieren.</p>
    <p>15.2 Sollten Bestimmungen dieser AGB und/oder des Vertrags unwirksam
        sein oder werden, so berührt dies die Wirksamkeit der übrigen
        Bestimmungen nicht. Die Vertragsparteien verpflichten sich, anstelle
        einer unwirksamen Bestimmung eine gültige Vereinbarung zu treffen,
        deren wirtschaftlicher Erfolg dem der unwirksamen so weit wie möglich
        nahe kommt.</p>
</section>`

export const privacy_de = `<section id="privacy-de" class="content">
    <h3>Datenschutzerklärung der Tutao GmbH, Hannover</h3>
    <p><strong>Stand: 25. Mai 2018</strong></p>
    <h4>Allgemeines</h4>
    <p>Wir sind für den Schutz Ihrer personenbezogenen Daten verantwortlich und nehmen diese Verantwortung sehr ernst.
        Aus diesem Grund</p>
    <ul>
        <li>ist Tutanota basierend auf Datenschutzgrundsätzen "Datenminimierung" und "Privacy by design" entwickelt
            worden,
        </li>
        <li>werden alle Nutzerdaten in Tutanota Ende-zu-Ende verschlüsselt gespeichert (mit Außnahme von E-Mail-Adressen
            der
            Benutzer sowie Absender und Empfänger von E-Mails),
        </li>
        <li>sind bei uns geeignete technische und organisatorische Maßnahmen im Einsatz, die Ihre Daten bestmöglich
            schützen,
        </li>
        <li>werden alle Daten in ISO 27001 zertifizierten Rechenzentren in Deutschland gespeichert.</li>
    </ul>
    <p>Die Verarbeitung personenbezogener Daten erfolgt stets im Einklang mit der Datenschutz-Grundverordnung (DSGVO)
        sowie mit
        den für die Tutao GmbH geltenden landesspezifischen Datenschutzbestimmungen.</p>
    <p>Für Ihre Fragen zum Thema Datenschutz stehen wir Ihnen jederzeit gern zur Verfügung. Per E-Mail können Sie uns
        wie folgt
        erreichen: hello@tutao.de.</p>
    <h4>Name und Anschrift des für die Verarbeitung Verantwortlichen</h4>
    <p>Tutao GmbH<br>Hanomaghof 2<br>30449 Hannover<br>Deutschland</p>
    <p>E-Mail-Adresse: hello@tutao.de</p>
    <h4>Personenbezogene Daten</h4>
    <p>Alle von unser verarbeiteten personenbezogenen Daten werden von uns sicher aufbewahrt und somit vor
        unberechtigten
        Zugriffen geschützt.</p>
    <p>Zur Begründung eines Vertragsverhältnisses, und zur Leistungserbringung wird</p>
    <ul>
        <li>die neu registrierte E-Mail-Adresse</li>
    </ul>
    <p>als Bestandsdatum erfasst.</p>
    <p>Für die Rechnungsstellung und Bestimmung der Umsatzsteuer werden bei kostenpflichtigen Produktvarianten</p>
    <ul>
        <li>der Sitz des Kunden (Land)</li>
        <li>die Rechnungsadresse (für Privatkunden optional)</li>
        <li>die USt-IdNr. (nur für Geschäftskunden bestimmter Länder)</li>
    </ul>
    <p>als Bestandsdaten erfasst.</p>
    <p>Zur Abwicklung von Zahlungen werden, je nach gewählter Zahlungsart, die folgenden Zahlungsdaten (Bestandsdaten)
        erfasst:</p>
    <ul>
        <li>Bankverbindung (Kontonummer und BLZ bzw. IBAN/BIC, ggf. Bankname, Kontoinhaber),</li>
        <li>Kreditkartendaten,</li>
        <li>der PayPal-Nutzername.</li>
    </ul>
    <p>Diese Bestandsdaten werden zur Erfüllung des Vertrages mit dem Kunden nach Art. 6 DSGVO 1. b) verarbeitet. Zur
        Abwicklung von Lastschriften geben wir Ihre Bankverbindung an das beauftragte Kreditinstitut weiter. Zur
        Abwicklung
        von PayPal-Zahlungen geben wir Ihre PayPal-Zahlungsdaten an PayPal (Europe) weiter.</p>
    <ul>
        <li>Adresse: PayPal (Europe) S.à r.l. et Cie, S.C.A.,22-24 Boulevard Royal, L-2449 Luxembourg</li>
        <li>Datenschutzerkärung: <a href="https://www.paypal.com/de/webapps/mpp/ua/privacy-prev">https://www.paypal.com/de/webapps/mpp/ua/privacy-prev</a>
        </li>
        <li>Kontakt für Fragen zum Datenschutz: <a href="https://www.paypal.com/de/selfhelp/contact/email/privacy">https://www.paypal.com/de/selfhelp/contact/email/privacy</a>
        </li>
    </ul>
    <p>Zur Abwicklung von Kreditkartenzahlungen werden Ihre Kreditkartendaten zur Auftragsverarbeitung an unseren
        Zahlungsdienstleister <a href="https://www.braintreepayments.com/">Braintree</a> weitergegeben. Hierbei handelt
        es sich
        um eine Übermittlung von personenbezogenen Daten an ein Drittland (USA). Ein mit Braintree geschlossener
        Vertrag sieht geeignete Garantien vor und stellt sicher, dass die weitergegebenen Daten nur im Einklang mit der
        DSGVO und lediglich zur Abwicklung von Zahlungen verwendet werden. Dieser Vertrag kann hier eingesehen
        werden: <a href="https://www.braintreepayments.com/assets/Braintree-PSA-Model-Clauses-March2018.pdf">https://www.braintreepayments.com/assets/Braintree-PSA-Model-Clauses-March2018.pdf</a>
    </p>
    <p>Tutanota stellt Dienste zur Speicherung, Bearbeitung, Darstellung und zum elektronischen Versand von Daten
        bereit, wie
        z.B. E-Mail-Service, Kontaktverwaltung und Datenablage. Diese Inhaltsdaten werden freiwillig in Tutanota vom
        Kunden
        abgelegt. Beim Anlegen eines Tutanota-Accounts geben Sie uns die Einwilligung zu der Verarbeitung dieser Daten
        nach
        Art. 6 DSGVO 1. a). Alle textuellen Inhalte werden verschlüsselt für den Nutzer und dessen Kommunikationspartner
        gespeichert, so dass die Tutao GmbH selbst keinen Zugriff auf diese Daten hat. Diese Daten können vom Kunden
        selbst gelöscht werden.</p>
    <p>Zur Aufrechterhaltung des Mailserver-Betriebs, zur Fehlerdiagnose und zur Verhinderung von Missbrauch werden
        Mail-Server-Logs maximal 7 Tage gespeichert. Diese enthalten Sender- und Empfänger-E-Mail-Adressen sowie den
        Zeitpunkt der Verbindung, jedoch keine IP-Adressen der Kunden. Diese Speicherung erfolgt zur Wahrung der
        berechtigten
        Interessen des Verantwortlichen nach Art. 6 DSGVO 1. f).</p>
    <p>Zur Sicherstellung des Betriebs, zur Verhinderung von Missbrauch und zur Besucherauswertung werden IP-Adressen
        der
        Kunden verarbeitet. Eine Speicherung erfolgt nur für anonymisierte und damit nicht mehr personenbezogene
        IP-Adressen.
        Diese Verarbeitung erfolgt zur Wahrung der berechtigten Interessen des Verantwortlichen nach Art. 6 DSGVO 1.
        f).</p>
    <p>Mit Ausnahme der Zahlungsdaten werden wir Ihre personenbezogenen Daten inklusive der E-Mail-Adresse nicht an
        Dritte
        weitergeben. Jedoch können wir rechtlich verpflichtet werden Inhaltsdaten (bei Vorlage eines gültigen deutschen
        Gerichtsbeschlusses) sowie Bestandsdaten an Strafverfolgungsbehörden auszuliefern. Es erfolgt kein Verkauf von
        Daten.</p>
    <h4>Zeitraum der Datenspeicherung</h4>
    <p>Alle personenbezogenen Daten werden 30 Tage nach Beendigung des Vertragsverhältnisses gelöscht, sofern dem im
        Einzelfall
        nicht besondere Gründe entgegenstehen. Soweit Kunden gegen die Höhe der in der Rechnung gestellten
        Leistungsentgelte
        Einwendungen erhoben haben, dürfen die Abrechnungsdaten gespeichert werden, bis die Einwendungen abschließend
        geklärt sind. Ferner können Bestandsdaten bis zum Ablauf von zwei Jahren gespeichert bleiben, sofern
        Beschwerdebearbeitungen sowie sonstige Gründe einer ordnungsgemäßen Abwicklung des Vertragsverhältnisses dies
        erfordern. Im Übrigen darf die Löschung von Bestands- und Abrechnungsdaten unterbleiben, soweit dies gesetzliche
        Regelungen vorsehen oder die Verfolgung von Ansprüchen dies erfordert. Auftragsbezogene Daten und die damit
        verbundenen Adressen werden mit Rücksicht auf steuer-, vertrags- und handelsrechtliche Aufbewahrungsfristen
        gespeichert und nach Ablauf dieser Fristen gelöscht.</p>
    <h4>Rechte der betroffenen Person</h4>
    <p>Soweit Sie uns eine Einwilligung zur Verarbeitung Ihrer personenbezogenen Daten gegeben haben, möchten wir
        Sie darauf hinweisen, dass Sie Ihre Einwilligung jederzeit mit Wirkung für die Zukunft widerrufen können.
        Auf Verlangen werden wir Ihnen unentgeltlich Auskunft über die zu Ihrer Person gespeicherten Daten erteilen.
        Wenn Sie dies wünschen, senden Sie bitte eine Nachricht an hello@tutao.de. Ebenso sind wir verpflichtet, auf
        Verlangen die über Sie gespeicherten Daten zu löschen, zu berichtigen oder ihre Verarbeitung einzuschränken.
        Außerdem können Sie <strong>Widerspruch gegen die Verarbeitung Ihrer personenbezogenen Daten einlegen</strong>
        sowie
        Beschwerde bei einer Datenschutzaufsichtsbehörde und bei der Bundesbeauftragten oder dem Bundesbeauftragten
        für den Datenschutz und die Informationsfreiheit (Husarenstr. 30, 53117 Bonn) einreichen. Sie können von
        Ihrem Recht auf Datenübertragbarkeit Gebrauch machen, indem Sie Ihre bei uns gespeicherten Daten aus Tutanota
        exportieren.</p>
    <h4>Cookies</h4>
    <p>Wir verwenden keine Cookies.</p>
    <h4>Kontaktmöglichkeit über die Internetseite</h4>
    <p>Wir bieten über unsere Internetseite die Möglichkeit per E-Mail oder über ein Kontaktformular mit uns in Kontakt
        zu treten. Die so freiwilling an uns übermittelten personenbezogenen Daten werden automatisch gespeichert und
        nur
        für Zwecke der Bearbeitung und der Kontaktaufnahme zur betroffenen Person verwendet. Es erfolgt keine Weitergabe
        dieser personenbezogenen Daten an Dritte.</p>
</section>`

export const terms_en = `
<section id="terms-en" class="content">
    <h3>Terms and Conditions of Tutao GmbH</h3>
    <p>These General Terms and Conditions are provided in English for your convenience. Please note that in case of a dispute or discrepancy
	between the German Terms and Conditions and the English translation, the German version shall prevail.</em></p>
    <p>&nbsp;</p>
    <h4>1. General, scope</h4>
    <p>1.1 The Tutao GmbH Address: Hanomaghof 2, 30449 Hanover, e-mail:
        hello@tutao.de, phone: +49 511 202801-0 (hereafter Tutao)
        provides all deliveries and services solely on the basis of these
        Terms and Conditions.</p>
    <p>1.2 These Terms and Conditions apply to entrepreneurs according to § 14 BGB
        (German Civil Code) (hereafter business customers) as wells as to consumers
        according to § 13 BGB (German Civil Code) (hereafter private customers).
        A consumer is any natural person entering into a legal transaction for a
        purpose that cannot be attributed to their commercial or to their independent
        vocational activity.</p>
    <p>1.3 For business users these Terms and Conditions are valid for all future
        business with Tutao.</p>
    <p>1.4 Terms and Conditions of the business user that differ from Tutao's Terms and
        Conditions completely or in parts are not recognized, unless Tutao accepts them
        with a written statement. The Terms and Conditions of Tutao also apply exclusively
        if Tutao unconditionally renders a service in the knowledge of conflicting Terms
        and Conditions of the customer.</p>
    <h4>2. Conclusion of contract</h4>
    <p>2.1 The customer sends the request on completion of the proposed
        contract either by dispatching an electronic statement or by
        transmitting the order form in writing to Tutao if this is
        offered. The contract is concluded with the allocation of an
        account by Tutao.</p>
    <h4>3. Notice of cancellation</h4>
    <p>3.1 If the customer is a private customer and the contract was concluded
        exclusively by means of distance communication (distance selling
        contract), the private customer has the statutory right of withdrawal
        described below:</p>
    <hr>
    <p><strong>Notice of cancellation</strong></p>
    <p><strong>Right of withdrawal</strong></p>
    <p>You have the right to cancel this contract within fourteen days
        without giving any reason. The withdrawal period is fourteen days from
        the date of contract. To exercise your right of cancellation, you must
        notify us</p>
    <p>Tutao GmbH<br>
        Hanomaghof 2<br>
        30449 Hanover<br>
        Germany</p>
    <p>Phone: +49 511 202801-0<br>
        Fax: +49 511 202801-19 or<br>
        Email: hello@tutao.de</p>
    <p>with a clear statement (eg a letter sent via post, a fax or an email)
        of your decision to withdraw from this contract. You can use the
        attached model withdrawal form. However this is not mandatory.</p>
    <p>In order to observe the withdrawal period it is sufficient to send the
        notice claiming the right of withdrawal within the withdrawal period.</p>
    <p><strong>Results of Withdrawal</strong></p>
    <p>If you withdraw from this contract, we have to return all payments
        that we have received from you including delivery costs (with the
        exception of the additional costs arising from the fact that you have
        chosen a more expensive type of delivery other than the standard
        delivery offered by us) which must be repaid immediately at the latest
        within fourteen days from the date on which we have received your
        notice of cancellation of this contract. For this repayment we use the
        same method of payment that you have used for the initial transaction,
        unless you explicitly agreed otherwise; in any case you will not be
        charged fees for this repayment.</p>
    <p>In case that you have required the services to start during the
        withdrawal period, you have to pay us a reasonable amount compared to
        the full extent of the service covered in this contract for the
        service already provided to you up to the date on which you notify us
        of the right of withdrawal of this contract.</p>
    <p><strong>End of Notice of cancellation</strong></p>
    <hr>
    <p><strong>Model form for withdrawal</strong></p>
    <p>(If you want to withdraw from the contract, you can fill in this form
        and send it back to us.)</p>
    <p>To<br>
        Tutao GmbH<br>
        Hanomaghof 2<br>
        30449 Hanover<br>
        Germany</p>
    <p>Fax: +49 511 202801-19 or<br>
        Email: hello@tutao.de</p>
    <p>Hereby I/we* give notice that I/we* withdraw from my/our* agreement of
        sale of the following goods*/provision of the following service*:</p>
    <p>Ordered on*/received on*: ______________________</p>
    <p>Name of customer(s): ______________________</p>
    <p>Address of customer(s): ______________________</p>
    <p>Tutanota e-mail address of the customer(s):
        ______________________</p>
    <p><br>
        Signature of customer(s) (only if sent on paper):
        ______________________</p>
    <p><br>
        Date: ______________________</p>
    <p>*) Delete as applicable.</p>
    <hr>
    <h4>4. Subject of the contract and alteration of the contract</h4>
    <p>4.1 Tutao provides the customer with the system Tutanota in accordance
        to the respective service descriptions of the selected tariff. The availability
        is 99 % annual average, in regards to 24 hours per day, seven days per week.
        Exempt from this availability are time periods, during which Tutanota is not
        available due to technical or other issues that do not lie in the sphere of
        influence of Tutao (force majeure, fault of third parties, etc.).
        Tutao conducts a regular maintenance of the software and the system. For
        this purpose Tutao can adjust or limit services temporarily while
        taking into account the interests of the customer as long as objective reasons
        justify it. If possible this work will be conducted during non-peak hours,
        particularly Fridays to Sundays, between 10:00 pm and 06:00 am (CET). If Tutao
        estimates that the time for maintenance and software updates will lead to a
        downtime of more than three hours, Tutao will inform all paying customers
        three days in advance. Tutao is only responsible for the availability if it
        is effected by the part of the system operated by Tutao.</p>
    <p>4.2 If in the respective service description of the selected tariff a
        certain amount of storage space is defined, this applies to the entire
        available storage space according to the service description and is
        used, among other things, for the storage of metadata (file history,
        etc.).</p>
    <p>4.3 Tutao retains the right to extend services and make improvements
        if these are pertinent to the technical progress, if these seem to be
        necessary to prevent abuse, or if Tutao is required to do so by
        law. With the consent of the customer, Tutao can conduct other changes
        in the content of the contract, including these Terms and Conditions,
        if the change is reasonable to the customer taking into account the
        interests of Tutao. Particularly unacceptable is any contract change
        that results in a reduction of a principal contractual service offered
        by Tutao. If the alteration of the contract results in increased fees
        payable by the customer, the admissibility of this is regulated under
        Clause 8.5 of these Terms and Conditions. The approval of the
        alteration of the contract is deemed as granted if the customer does
        not object to the alteration within one month after receiving the
        notification of the alteration. Tutao agrees to notify the customer in
        the course of the alteration notification of the consequences of
        non-objection.</p>
    <p>4.4 Voluntary and unpaid services and benefits of Tutao which
        explicitly are described as such and are not part of the service
        description can be cancelled by Tutao at any time. Upon alterations
        and cancellation of free services Tutao will take into account the
        legitimate interests of the customers.</p>
    <p>4.5 Tutao has the right to use services of third parties for the
        service provision at any time and in any amount.</p>
    <p>4.6 Free of charge versions of Tutanota are only allowed to be used by private customers. Business use is
        only allowed in paid versions of Tutanota, except this is stated differently in the respective tariff.</p>
    <p>4.7. Each natural person is prohibited to sign up for more than one free of charge Tutanota account
        for private use. For additional accounts a paid tariff must be selected which allows adding aliases and user
        accounts.</p>
    <p>4.8. Tutao has the right to show its customers security notices as well as information in regards
	 to contracts with the customers, to product updates, to Tutao GmbH, to other products and to products 
	 of partners. Partners are exclusively companies that can be recommended by Tutao GmbH because they
	  advocate human rights, data protection or privacy.</p>
    <h4>5. Term of contract, contract renewal and contract termination, termination of services</h4>
    <p>5.1 Unless stated otherwise in the respective service description, the
        contract is effective for an indefinite time. The agreement may be
        terminated by either party with a notice period of one month prior to the
        end of each billing period. If the contract is not terminated, the
        contract is automatically renewed with the same billing period.</p>
    <p>5.2 This does not affect the right of either party to terminate the
        contract without previous notice of a cause. A cause for Tutao is
        particularly given if at least one of the following situations occur:
        despite warning the customer culpably violates a contractual
        obligation (for example against 8.4 of these Terms and Conditions),
        despite warning the customer does not eliminate a
        violation of contract or of law within a reasonable period of time. A warning is
        not necessary if there is a violation that makes a continuation of the
        contract for Tutao unreasonable.</p>
    <p>5.3 The termination of additional options, particularly additional accounts or
        storage space, of the respective tariff leaves the general contract
        unaffected.</p>
    <p>5.4 The extraordinary termination shall be effective only in writing.
        The ordinary termination by the customer is carried out with the deletion
        of the last administrative account within the Settings of the application.</p>
    <p>5.5 After termination of the contract, Tutao is no longer obligated to
        provide the contractual services. The timely storage and backup of the
        data, is the customer's responsibility.</p>
    <p>5.6. Tutao is entitled to terminate the contract without notice in case of a free of charge tariff if the account
        was not used for at least six months.</p>
    <h4>6. General obligations of the customer</h4>
    <p>6.1 Business customers are obliged to state their full name and a complete
        address required for a summons (not a post box or another anonymous
        address). The customer assures that all data
        communicated to Tutao are correct and complete. </p>
    <p>6.2 Upon booking a paid version of Tutanota, private customers are
        obliged to state the country of their current domicile.</p>
    <p>6.3 The customer is obliged to update this information in the application as soon
        as it changes.</p>
    <h4>7. Email receiving and sending, ban on spam emails</h4>
    <p>7.1 Tutao has the right to limit the maximum size of emails to be sent
        to an appropriate size. If in the respective service description it is
        not stated otherwise, the max. email size is 20 MB.</p>
    <p>7.2 The sending of emails is inadmissible if it is a mass-mailing to
        recipients without their consent and/or if it is a promotional email
        and consent of the recipient is not given even though this is required
        (hereafter referred to as spam). Proof of consent (see § 7 paragraph
        2 UWG (Act Against Unfair Competition)) of each recipient rests with
        the customer.</p>
    <p>7.3 The customer is prohibited to send more than 100 emails per
        hour per account or to send so-called paid emails or
        emails that advertise a referral system.</p>
    <h4>8. Payment and invoicing, payment increase, delay of payment, payment refund</h4>
    <p>8.1 The amounts to be paid by the customer to Tutao and the respective
        billing period result from the service description of the selected
        tariff by the customer. Usage-independent fees are payable in advance
        of the chosen billing period, usage-dependent fees are charged with an invoice.</p>
    <p>8.2 Invoices are issued online through the electronic delivery of the
        invoice. The invoice shall be deemed as delivered to the customer as
        soon as it is available electronically and hence reachable for
        him (e.g. sent to his mailbox). Tutao retains the right to send the invoice via post.
        However it is not required that the customer
        receives a printed invoice through the post.</p>
    <p>8.3 The customer authorizes Tutao to collect the charges to be paid by
        the customer from an account (e.g. banking account, credit card, PayPal)
        specified by the customer. The customer
        has to take care of sufficient funding in the account. If there is a chargeback caused by the
        customer, the customer is obligated to reimburse Tutao the occurring
        banking fees. Business customers may choose to pay on invoice.</p>
    <p>8.4 If the customer falls behind payment for two consecutive months,
        Tutao is entitled to terminate the contract without notice. The same
        applies if the customer falls behind payment of an amount that reaches
        the basic fee for two months over a period of more than two months.</p>
    <p>8.5 Tutao is entitled to increase the fees reasonably. Considered as
        reasonable is an annual increase to the extent of 5% at most. The fee
        increase will be subject to the approval of the customer.
        Tutao is obliged to notify
        the customer of the price change (e.g. via email). The consent of the customer
        shall be deemed as granted if the customer does not object to the
        increase within one month of notification. If the customer contradicts the price increase, Tutao
        has a special right of termination.</p>
    <p>8.6 Prepaid fees are refunded to the customer if Tutao ends the contract
        prior to the end of the billing period. In case of an effective
        extraordinary termination (Clause 5.2) by Tutao, Tutao is entitled to receive the
        payment of the fee until the next possible ordinary termination date.</p>
    <h4>9. Disturbances of service</h4>
    <p>9.1 Tutao is only responsible for disturbances of services if these
        apply to services to be performed by Tutao referred to under Clause
        4.1.</p>
    <p>9.2 Tutao will eliminate disturbances according to technical and
        operational capabilities. The customer is obliged to notify Tutao of
        disturbances observable by him immediately (malfunction
        information). If the disturbance is not eliminated within a
        reasonable amount of time, the customer shall set a reasonable
        additional respite. If the disturbance is not corrected within this
        respite, the customer retains the right to terminate the contract or
        to demand a reduction of the monthly fee. If the disturbance only
        results in a deviation of the service and does not limit its
        functionality, the customer can only demand a reduction of the
        fee. Any claims made under Clause 10 shall remain unaffected.</p>
    <p>9.3 In the event of force majeure Tutao is exempt from
        liability. These include in particular lawful industrial action, also
        in third party companies as well as regulatory measures, if not caused
        by Tutao.</p>
    <h4>10. Liability of Tutao</h4>
    <p>10.1 The liability of Tutao exists solely in the context of Clauses
        10.2 to 10.8. The following liability provisions apply to claims
        resulting from any legal reason.</p>
    <p>10.2 Tutao is liable to the customer for damages without limit caused
        intentionally or by gross negligence by him or by one of its
        assistants or legal representatives. In case of damages arising from
        injury to life, body or health, liability is unlimited even when
        caused by a simple breach of duty by Tutao or one of its legal
        representatives or assistants. Similarly, the liability is unlimited
        for damages that are due to serious organizational faults of Tutao,
        and for damages caused by the lack of a guaranteed quality.</p>
    <p>10.3 Unless covered by Clause 10.2, Tutao is liable for the violation
        of essential contractual obligations; the amount of liability is
        limited to the typically foreseeable damage. Essential contractual
        obligations are obligations imposed on Tutao by the content of the
        contract for achieving the purpose of the contract and the fulfillment
        of which enable the proper execution of the contract in the first
        place and on whose regular compliance the customer can rely on.</p>
    <p>10.4 For data loss caused by Tutao, Tutao is only liable for the costs
        that result from recovering of the data that would have also been lost despite
        performing appropriate data backup measurements. A liability is limited to the liability
        regulations of these Terms and Conditions.</p>
    <p>10.5. The liability for any lost profit is excluded.</p>
    <p>10.6 The liability under the Produkthaftungsgesetz
        shall remain unaffected by the preceding liability
        provisions. (The Product Liability Act is a German law that defines the liability of a producer of a
        product.)</p>
    <p>10.7 In the event that the system was provided as a free version (i.e.
        free of charge), Tutao accepts liability in accordance with the above
        provisions only for willful and malicious acts.</p>
    <p>10.8 Tutao is not liable for the content or the activities of its users.</p>
    <h4>11. Blocking, requirements of unblocking, reimbursement</h4>
    <p>11.1 If there is a culpable conduct of the customer or of a third
        party attributable to this customer which is violating any German law,
        in particular provisions of the Criminal Code or for the protection of
        the youth, or these Terms and Conditions, Tutao can block the complete
        service or parts of it. The right to terminate the contract without
        notice in accordance to Clause 5.2 of these Terms and Conditions
        remains unaffected.</p>
    <p>11.2 The customer is not released from his obligation to pay the
        agreed fees by a blockage. If there is a disclosure required of Tutao,
        it is sufficient for Tutao to send the respective releases via email
        to the email address of the customer. For the blocking and the
        unblocking Tutao can in each case impose the agreed fee (currently
        50,00 EUR incl. purchase tax).</p>
    <p>11.3 Insofar as Tutao is engaged by third parties because of a culpable conduct of the customer or of a third
        party attributable to this customer that authorizes Tutao for
        blocking, the customer discharges Tutao from all claims and is obliged
        to carry the costs that occurred due to the unlawful situation.</p>
    <h4>12. Licenses</h4>
    <p>12.1 Tutao grants the customer for the duration of the contract, a
        simple, non-transferable, non-sublicensable right to use the required
        software to perform the services of Tutao and their extensions for its
        own internal use. The software is protected by copyright. Unless
        explicitly permitted by the Copyright Act or by contract, the customer
        may not reverse engineer, decompile or disassemble the software
        himself or have that done by a third party.</p>
    <h4>13. Privacy</h4>
    <p>13.1 If provided by the customer, Tutao collects, processes and uses
        personal data of the customer.
        For more information on data processing and data protection
        see the Data Privacy Statement of Tutao.</p>
    <h4>14. Jurisdiction, law applicable</h4>
    <p>14.1 The laws of the Federal Republic of Germany shall apply. This
        does not affect mandatory provisions of the country in which private customers
        who are consumers have their main residence. In all communications
        with consumers within the European Union the law of the domicile
        country of the consumer may also be used, provided that mandatory
        consumer laws are applicable.</p>
    <p>14.2 The place of jurisdiction for demands resulting from differences
        between the parties to a contract, in particular about the conclusion of a contract,
        its execution or its termination - insofar as the customer is a general merchant,
        a corporate body under public law, or a separate estate under public law - is Hanover,
        Germany. Tutao can also choose to sue the customer at his place of general jurisdiction.</p>
    <p>14.3. The validity of the United Nations Convention on Contracts for
        the International Sale of Goods (CISG) is excluded, even in
        cross-border deliveries.</p>
    <h4>15. Charging, withholding, severability clause</h4>
    <p>15.1 The customer can only charge up against outstanding debits of Tutao
        if these are not objected to or legally established. The customer is only
        entitled to the enforcement of a right of retention for counterclaims that
        result from the contractual relationship with Tutao.</p>
    <p>15.2 In case that Clauses of these Terms and Conditions and/or the contract
        is invalid, this does not affect the validity of the remaining Clauses.
        The parties to a contract oblige to agree on a valid Clause - that in
        its commercial success matches the invalid one as closely
        as possible - to replace the invalid one.</p>
</section>`

export const privacy_en = `<section id="privacy-en" class="content">
    <h3>Privacy Statement of Tutao GmbH</h3>
    <p><em>This Data Privacy Statement is provided in English for your
        convenience. Please note that in case of a dispute or discrepancy
        between the German Data Privacy Statement and the English translation,
        the German version shall prevail.</em></p>
    <p><strong>Status: May 25, 2018</strong></p>
    <h4>General</h4>
    <p>We are responsible for the protection of your personal data, and we
        take this responsibility very seriously. Therefore</p>
    <ul>
        <li>Tutanota is based on the data privacy principles "data minimization" and "privacy by design",</li>
        <li>all user data is stored end-to-end encrypted in Tutanota (except for email addresses of users as well as
            senders and recipients of emails),
        </li>
        <li>we have technical and organizational measures in place which protect your data best possible,</li>
        <li>all data is stored in ISO 27001 certified data centers in Germany.</li>
    </ul>
    <p>Processing of personal data takes place in compliance with the General Data Protection Regulation (GDPR) as well
        as with the local data protection laws applicable to the Tutao GmbH.</p>
    <p>We are always at your disposal for any questions about privacy. Please contact us via email:
        hello@tutao.de.</p>
    <h4>Name und Address of the controller</h4>
    <p>Tutao GmbH<br>Hanomaghof 2<br>30449 Hannover<br>Germany</p>
    <p>Email address: hello@tutao.de</p>
    <h4>Personal data</h4>
    <p>All personal data is kept securely by us and thus protected from unauthorized access.</p>
    <p>For the initiation of a contractual relationship and for service provision we collect</p>
    <ul>
        <li>the newly registered email address</li>
    </ul>
    <p>as inventory data.</p>
    <p>For invoicing and determining the VAT we collect for paid product variants</p>
    <ul>
        <li>the domicile of the customer (country)</li>
        <li>the invoicing address (for private users optional)</li>
        <li>the VAT identification number (only for business customers of some countries)</li>
    </ul>
    <p>as inventory data.</p>
    <p>For the transaction of payments we collect depending on the chosen payment method the
        following payment data (inventory data):</p>
    <ul>
        <li>Banking details (account number and sort code and IBAN/BIC, if necessary bank name, account holder),</li>
        <li>credit card data,</li>
        <li>PayPal user name.</li>
    </ul>
    <p>This inventory data is processed for the performance of the contract with the customer according to Art. 6 GDPR
        1. b). For the execution of direct debiting we will share your banking details with the authorized credit
        institution. For the execution of PayPal payments we will share your PayPal data with PayPal (Europe).</p>
    <ul>
        <li>Address: PayPal (Europe) S.à r.l. et Cie, S.C.A.,22-24 Boulevard Royal, L-2449 Luxembourg</li>
        <li>Privacy statement: <a href="https://www.paypal.com/uk/webapps/mpp/ua/privacy-prev">https://www.paypal.com/uk/webapps/mpp/ua/privacy-prev</a>
        </li>
        <li>Contact for questions about privacy: <a href="https://www.paypal.com/en/selfhelp/contact/email/privacy">https://www.paypal.com/en/selfhelp/contact/email/privacy</a>
        </li>
    </ul>
    <p>For the execution of credit card payments your credit card data will be shared with our payment service provider
        <a href="https://www.braintreepayments.com/">Braintree</a>. This includes the transfer of personal data into a
        third country (USA). An agreement entered into with Braintree defines appropriate safeguards and demands that
        the data is only processed in compliance with the GDPR and only for the purpose of execution of payments. This
        agreement can be examined here: <a
                href="https://www.braintreepayments.com/assets/Braintree-PSA-Model-Clauses-March2018.pdf">https://www.braintreepayments.com/assets/Braintree-PSA-Model-Clauses-March2018.pdf</a>
    </p>
    <p>Tutanota provides services for saving, editing, presentation and electronic transmission of data, such as email
        service, contact management and data storage. This content data is voluntarily entered into Tutanota by the
        customer. When signing up for a Tutanota account, you give consent to the processing of this data according to
        Art. 6 DSGVO 1. a). All textual content is encrypted for the user and its communication partners in a way that
        even Tutao GmbH has no access to the data. This data can be deleted by the user.</p>
    <p>In order to maintain email server operations, for error diagnosis and for prevention of abuse, mail server logs
        are stored max. 7 days. These logs contain sender and recipient email addresses and time of connection but no
        customer IP addresses. Storage takes place for the purposes of the legitimate interests pursued by the
        controller according to Art. 6 DSGVO 1. f).</p>
    <p>In order to maintain operations, for prevention of abuse and and for visitors analysis, IP addresses of users are
        processed. Storage only takes place for IP addresses made anonymous which are therefore not personal data any
        more. This processing takes place for the purposes of the legitimate interests pursued by the controller
        according to Art. 6 DSGVO 1. f).</p>
    <p>With the exception of payment data, we will not disclose your personal data including your email address to third
        parties. However, we can be legally bound to provide content data (in case of a valid German court order) and
        inventory data to prosecution services. There will be no sale of data.</p>
    <h4>Period of data storage</h4>
    <p>The personal data shall be deleted no later than 30 days after termination of the contract,
        unless specific reasons to the contrary
        apply in an individual case. In case a customer objected to the amount of the charged fees,
        the accounting data may be stored until the objections are terminally
        clarified. Furthermore, inventory data can be stored for up to two
        years if the handling of a complaint and other reasons require this
        for an orderly settlement of the contract. Moreover the deletion of
        inventory and billing data may be omitted provided that legal
        regulations or the prosecution of claims require this. Order-related
        data and the addresses associated with the order are stored in respect
        to tax, contract and commercial law retention periods and erased at
        the end of those periods.</p>
    <h4>Rights of the data subject</h4>
    <p>Insofar that you have given us your consent to process your personal
        data, we would like to point out that you can withdraw your consent for
        the future at any time. Upon request we will inform you about
        the data we have stored about you free of charge. Please send a message with
        your request to hello@tutao.de. In addition we are obliged to
        delete, to correct or to restrict processing of the data stored about you upon
        request. Additionally, you may <strong>object to the processing of your personal data</strong> as well as to
        lodge a complaint with a supervisory authority and the federal commissioner for data privacy of Germany
        (Husarenstr. 30, 53117 Bonn). You can make use of your right to data portability by exporting your personal data
        stored with us in Tutanota.</p>
    <h4>Cookies</h4>
    <p>We do not use cookies.</p>
    <h4>Contact from web page</h4>
    <p>On our web pages we offer the opportunity to get in contact with us via email or contact form. In doing so
        personal data is voluntarily transferred to us, stored automatically and only used for the purpose of dealing
        with the request and getting in contact with the affected person. We will not disclose this personal data to
        third parties.</p>
</section>`